%global  minorversion 0.3

Name:    thunarx-python
Version: 0.3.0
Release: 1%{?dist}
Summary: Python bindings for the Thunar Extension Framework	

License: LGPLv2+
URL:     http://goodies.xfce.org/projects/bindings/%{name}
Source0: http://archive.xfce.org/src/bindings/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2
Patch1:  http://ausil.fedorapeople.org/aarch64/thunarx-python/thunarx-python-aarch64.patch

BuildRequires: Thunar-devel >= 0.4.0
BuildRequires: pygtk2-devel >= 2.6.0
BuildRequires: pygobject2-devel >= 2.6.0
BuildRequires: gnome-python2-devel >= 2.12.0
BuildRequires: gtk-doc >= 1.9

%description
These bindings allow one to create python plugins for Thunar.


%prep
%setup -q
%patch1 -p1

%build
%configure --enable-gtk-doc
%make_build

%install
%make_install
find %{buildroot}%{_libdir} -name *.la -print -delete
find %{buildroot} -name style.css -print -exec mv '{}' docs/html \;
mkdir -p %{buildroot}/%{_datadir}/thunarx-python/extensions

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/thunarx-2/
%{_libdir}/%{name}/
%{_datadir}/thunarx-python/extensions
%doc docs/html/
%doc %{_pkgdocdir}/examples/


%changelog
* Sun Jan 31 2016 Raphael Groner <projects.rg@smart.ms> - 0.3.0-1
- new version
- modernize
- fix license and documentation

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 29 2013 Kevin Fenzi <kevin@scrye.com> 0.2.3-8
- Reconf to add aarch64 support. Fixes bug #926633

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.2.3-4
- Rebuild for new libpng

* Mon Mar 21 2011 G.Balaji <balajig81@gmail.com> 0.2.3-3
- Addressed Second level of Review Comments.

* Mon Mar 21 2011 G.Balaji <balajig81@gmail.com> 0.2.3-2
- Addressed Review Comments.

* Tue Mar 15 2011 G.Balaji <balajig81@gmail.com> 0.2.3-1
- Initial Version.
